List GPU flavors
curl --request GET \
--url https://api.gcore.com/cloud/v1/ai/flavors/{project_id}/{region_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/ai/flavors/{project_id}/{region_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/ai/flavors/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"disabled": false,
"flavor_id": "bm3-ai-1xlarge-h100-80-8",
"flavor_name": "bm3-ai-1xlarge-h100-80-8",
"hardware_description": {
"cpu": "1x Intel Xeon 4C/8T 3.7 GHz",
"disk": "2x 250GB SSD",
"ephemeral": "2200GB NVMe (ephemeral)",
"gpu": "1x NVIDIA 11GB",
"network": "1x 500Mbps",
"ram": "32 GiB"
},
"capacity": 10,
"currency_code": "USD",
"price_per_hour": 1,
"price_per_month": 720,
"price_status": "show",
"resource_class": "bm3-ai-1xlarge-h100-80-8"
}
]
}GPU Bare Metal
List GPU flavors
deprecated
Retrieve a list of flavors available for GPU clusters.
Please use the /v3/gpu/baremetal/{project_id}/{region_id}/flavors endpoint instead.
GET
/
cloud
/
v1
/
ai
/
flavors
/
{project_id}
/
{region_id}
List GPU flavors
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Query Parameters
Flag for filtering disabled flavors in the region
Set to true to see the number of available AI Infrastructure clusters
Set to true if flavor listing should include flavor prices
Was this page helpful?